Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.rule
Class PropogateScapeOnly

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.rule.Rule
              org.ascape.model.rule.Propogate
                  org.ascape.model.rule.PropogateScapeOnly

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, HasName, RandomFunctions

Direct Known Subclasses:
  NotifyViews, NotifyViewsEvent

    public class PropogateScapeOnly

extends Propogate

A rule that executes on the target scape, and any member scapes of the target scape. Typically used for scape control.

Since:
  1.0
Version:
  1.0 3/22/99
Author:
  Miles Parker
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`PropogateScapeOnly()` Constructs a Propogate rule.
`PropogateScapeOnly(java.lang.String name)` Constructs a propogate rule with the provided name.

Method Summary
`boolean` | `isScapeOnly()` Returns true, of course.

Methods inherited from class org.ascape.model.rule.Propogate
`execute, isRandomExecution`

Methods inherited from class org.ascape.model.rule.Rule
`getScape, isCauseRemoval, isIterateAll, setScape`

Methods inherited from class org.ascape.model.AscapeObject
`clone, diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getName, getRandom, getRandomSeed, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropogateScapeOnly

    public PropogateScapeOnly()

  Constructs a Propogate rule.

### PropogateScapeOnly

    public PropogateScapeOnly(java.lang.String name)

  Constructs a propogate rule with the provided name. It is strongly encouraged to provide a name for all rules.

  Parameters:
    `name` - the name of this object

Method Detail

### isScapeOnly

    public boolean isScapeOnly()

  Returns true, of course.

  Overrides:
    `isScapeOnly` in class `Propogate`
  Returns:
    true, if is scape only

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD